services:
  meme-generator:
    image: anssi/fcsc2025-web-meme-generator:latest
    read_only: true
    ports:
      - "8000:80"
    restart: always
    cap_drop:
      - all
    security_opt:
      - no-new-privileges
    tmpfs:
      - /var/run/apache2/

  meme-generator-bot:
    image: anssi/fcsc2025-web-meme-generator-bot:latest
    read_only: true
    depends_on:
      - meme-generator
    environment:
      - PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true
      - CHALLENGE_HOST=http://meme-generator/
    ports:
      - "4000:4000"
    restart: always
    cap_drop:
      - all
    security_opt:
      - no-new-privileges
    tmpfs:
      - /tmp
